| Home | Libraries | People | FAQ | More

## Struct template call_traits<T[N]>

boost::call_traits<T[N]>

## Synopsis

    // In header: <boost/detail/call_traits.hpp>

    template<typename T, std::size_t N>
    struct call_traits<T[N]> {
      // types
      typedef const T *          value_type;
      typedef array_type &       reference;
      typedef const array_type & const_reference;
      typedef const T *const     param_type;
    };